net.sf.jasperreports.components.spiderchart

## Class FillSpiderChart

- java.lang.Object
- - net.sf.jasperreports.engine.component.BaseFillComponent
  - - net.sf.jasperreports.components.spiderchart.FillSpiderChart

- All Implemented Interfaces:
    FillComponent, JRFillCloneable

      public class FillSpiderChart
      extends BaseFillComponent
      implements JRFillCloneable

  Version:
    $Id: FillSpiderChart.java 7011 2014-04-10 14:38:11Z lucianc $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ChartCustomizer` | `chartCustomizer`

    - ### Fields inherited from class net.sf.jasperreports.engine.component.BaseFillComponent

      `elementId, fillContext, printElementOriginator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FillSpiderChart(SpiderChartComponent chartComponent, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `copy(JRPrintImage printImage)`
    `JRFillCloneable` | `createClone(JRFillCloneFactory factory)` Creates a working clone of itself.
    `void` | `evaluate(byte evaluation)` Evaluates the fill component.
    `void` | `evaluateDelayedElement(JRPrintElement element, byte evaluation)` The default implementation throws `UnsupportedOperationException`.
    `protected void` | `evaluateRenderer(byte evaluation)`
    `JRPrintElement` | `fill()` Fills the component by creating a print element which will be included in the generated report.
    `java.lang.String` | `getAnchorName()`
    `java.lang.Integer` | `getBookmarkLevel()`
    `FillChartSettings` | `getChartSettings()`
    `FillSpiderDataset` | `getDataset()`
    `JRFillExpressionEvaluator` | `getExpressionEvaluator()`
    `java.lang.String` | `getHyperlinkAnchor()`
    `java.lang.Integer` | `getHyperlinkPage()`
    `JRPrintHyperlinkParameters` | `getHyperlinkParameters()`
    `protected ChartHyperlinkProvider` | `getHyperlinkProvider()`
    `java.lang.String` | `getHyperlinkReference()`
    `java.lang.String` | `getHyperlinkTooltip()`
    `java.lang.String` | `getLinkTarget()`
    `java.lang.String` | `getLinkType()`
    `java.lang.Double` | `getMaxValue()`
    `FillSpiderPlot` | `getPlot()`
    `Renderable` | `getRenderable()`
    `java.lang.String` | `getSubtitleText()`
    `java.lang.String` | `getTitleText()`
    `protected boolean` | `isEvaluateNow()`
    `FillPrepareResult` | `prepare(int availableHeight)` Prepares to fill the component by deciding whether the component will print, and how much vertical space it will require.

    - ### Methods inherited from class net.sf.jasperreports.engine.component.BaseFillComponent

      `deduplicate, evaluateExpression, initialize, rewind`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### chartCustomizer

          protected ChartCustomizer chartCustomizer

  - ### Constructor Detail

    - #### FillSpiderChart

          public FillSpiderChart(SpiderChartComponent chartComponent,
                         JRFillObjectFactory factory)

  - ### Method Detail

    - #### isEvaluateNow

          protected boolean isEvaluateNow()

    - #### evaluate

          public void evaluate(byte evaluation)
                        throws JRException

      Description copied from interface: `FillComponent`
      Evaluates the fill component.

      This method would evaluate the component expressions and store the results to be used in `FillComponent.fill()`.

      If the component needs to delay the evaluation of some of its expressions, it would call `FillContext.registerDelayedEvaluation(JRPrintElement, EvaluationTimeEnum, String)` to register a delayed evaluation print element, and perform the delayed evaluations on `FillComponent.evaluateDelayedElement(JRPrintElement, byte)`.

      Specified by:
        `evaluate` in interface `FillComponent`
      Parameters:
        `evaluation` - the evaluation type
      Throws:
        `JRException`
      See Also:
        `FillContext.evaluate(net.sf.jasperreports.engine.JRExpression, byte)`

    - #### evaluateRenderer

          protected void evaluateRenderer(byte evaluation)
                                   throws JRException

      Throws:
        `JRException`

    - #### fill

          public JRPrintElement fill()

      Description copied from interface: `FillComponent`
      Fills the component by creating a print element which will be included in the generated report.

      This method will get called only if `FillComponent.prepare(int)` returned a result that indicated that the component will print.

      Specified by:
        `fill` in interface `FillComponent`
      Returns:
        the print element generated by the component

    - #### prepare

          public FillPrepareResult prepare(int availableHeight)

      Description copied from interface: `FillComponent`
      Prepares to fill the component by deciding whether the component will print, and how much vertical space it will require.
      Specified by:
        `prepare` in interface `FillComponent`
      Parameters:
        `availableHeight` - the amount of vertical space available for the component, starting from the top of the component element.
      Returns:
        the result of the preparation, which specifies whether the component will print and how much it will stretch vertically.

    - #### createClone

          public JRFillCloneable createClone(JRFillCloneFactory factory)

      Description copied from interface: `JRFillCloneable`
      Creates a working clone of itself.
      Specified by:
        `createClone` in interface `JRFillCloneable`
      Parameters:
        `factory` - the clone factory to use while creating the clone
      Returns:
        a working clone of itself

    - #### evaluateDelayedElement

          public void evaluateDelayedElement(JRPrintElement element,
                                    byte evaluation)
                                      throws JRException

      Description copied from class: `BaseFillComponent`
      The default implementation throws `UnsupportedOperationException`.

      If a component supports delayed evaluation, it needs to override this method.

      Specified by:
        `evaluateDelayedElement` in interface `FillComponent`
      Overrides:
        `evaluateDelayedElement` in class `BaseFillComponent`
      Parameters:
        `element` - the print element for which delayed evaluation has been registered
        `evaluation` - the evaluation type
      Throws:
        `JRException`
      See Also:
        `FillComponent.evaluate(byte)`

    - #### copy

          protected void copy(JRPrintImage printImage)

    - #### getHyperlinkProvider

          protected ChartHyperlinkProvider getHyperlinkProvider()

    - #### getChartSettings

          public FillChartSettings getChartSettings()

      Returns:
        the chartSettings

    - #### getDataset

          public FillSpiderDataset getDataset()

      Returns:
        the dataset

    - #### getPlot

          public FillSpiderPlot getPlot()

      Returns:
        the plot

    - #### getMaxValue

          public java.lang.Double getMaxValue()

      Returns:
        the maxValue

    - #### getTitleText

          public java.lang.String getTitleText()

      Returns:
        the titleText

    - #### getSubtitleText

          public java.lang.String getSubtitleText()

      Returns:
        the subtitleText

    - #### getAnchorName

          public java.lang.String getAnchorName()

      Returns:
        the anchorName

    - #### getHyperlinkReference

          public java.lang.String getHyperlinkReference()

      Returns:
        the hyperlinkReference

    - #### getHyperlinkAnchor

          public java.lang.String getHyperlinkAnchor()

      Returns:
        the hyperlinkAnchor

    - #### getHyperlinkPage

          public java.lang.Integer getHyperlinkPage()

      Returns:
        the hyperlinkPage

    - #### getHyperlinkTooltip

          public java.lang.String getHyperlinkTooltip()

      Returns:
        the hyperlinkTooltip

    - #### getBookmarkLevel

          public java.lang.Integer getBookmarkLevel()

      Returns:
        the hyperlinkTooltip

    - #### getExpressionEvaluator

          public JRFillExpressionEvaluator getExpressionEvaluator()

      Returns:
        the expressionEvaluator

    - #### getRenderable

          public Renderable getRenderable()

      Returns:
        the renderer

    - #### getLinkType

          public java.lang.String getLinkType()

    - #### getLinkTarget

          public java.lang.String getLinkTarget()

    - #### getHyperlinkParameters

          public JRPrintHyperlinkParameters getHyperlinkParameters()

      Returns:
        the hyperlinkParameters

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com